GLI 0.6.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Members

Public Types | Public Member Functions | List of all members
texture2D Class Reference

## Public Types
typedef storage::dim2_type | dim_type
typedef storage::size_type | face_type
typedef storage::format_type | format_type
typedef storage::size_type | layer_type
typedef storage::size_type | level_type
typedef storage::size_type | size_type
typedef storage::texcoord2_type | texcoord_type

## Public Member Functions
size_type | baseFace () const
size_type | baseLayer () const
size_type | baseLevel () const
void | clear ()
template<typename genType >
void | clear (genType const &Texel)
void * | data ()
void const * | data () const
template<typename genType >
genType * | data ()
template<typename genType >
genType const * | data () const
dim_type | dimensions () const
bool | empty () const
size_type | faces () const
template<typename genType >
genType | fetch (dim_type const &TexelCoord, size_type const &Level)
format_type | format () const
size_type | layers () const
size_type | levels () const
size_type | maxFace () const
size_type | maxLayer () const
size_type | maxLevel () const
| operator storage () const
image | operator[] (size_type const &Level) const
size_type | size () const
template<typename genType >
size_type | size () const
glm::ivec4 | swizzle () const
| texture2D ()
| texture2D (size_type const &Levels, format_type const &Format, dim_type const &Dimensions)
| texture2D (format_type const &Format, dim_type const &Dimensions)
| texture2D (storage const &Storage)
| texture2D (storage const &Storage, format_type const &Format, size_type BaseLayer, size_type MaxLayer, size_type BaseFace, size_type MaxFace, size_type BaseLevel, size_type MaxLevel)
| texture2D (texture2D const &Texture, size_type const &BaseLevel, size_type const &MaxLevel)
| texture2D (texture2DArray const &Texture, size_type const &BaseLayer, size_type const &BaseLevel, size_type const &MaxLevel)
| texture2D (textureCube const &Texture, size_type const &BaseFace, size_type const &BaseLevel, size_type const &MaxLevel)
| texture2D (textureCubeArray const &Texture, size_type const &BaseLayer, size_type const &BaseFace, size_type const &BaseLevel, size_type const &MaxLevel)

## Detailed Description

texture2D

Definition at line 40 of file texture2d.hpp.

## Member Typedef Documentation

typedef storage::dim2_type dim_type

Definition at line 43 of file texture2d.hpp.

typedef storage::size_type face_type

Definition at line 49 of file texture2d.hpp.

typedef storage::format_type format_type

Definition at line 46 of file texture2d.hpp.

typedef storage::size_type layer_type

Definition at line 47 of file texture2d.hpp.

typedef storage::size_type level_type

Definition at line 48 of file texture2d.hpp.

typedef storage::size_type size_type

Definition at line 45 of file texture2d.hpp.

typedef storage::texcoord2_type texcoord_type

Definition at line 44 of file texture2d.hpp.

## Constructor & Destructor Documentation

texture2D | ( |  | ) |

texture2D | ( | size_type const & | Levels,
|  | format_type const & | Format,
|  | dim_type const & | Dimensions
| ) |  |
| explicit

Create a texture2D and allocate a new storage.

texture2D | ( | format_type const & | Format,
|  | dim_type const & | Dimensions
| ) |  |
| explicit

Create a texture2D and allocate a new storage with a complete mipmap chain.

texture2D | ( | storage const & | Storage | ) |
| explicit

Create a texture2D view with an existing storage.

texture2D | ( | storage const & | Storage,
|  | format_type const & | Format,
|  | size_type | BaseLayer,
|  | size_type | MaxLayer,
|  | size_type | BaseFace,
|  | size_type | MaxFace,
|  | size_type | BaseLevel,
|  | size_type | MaxLevel
| ) |  |
| explicit

Create a texture2D view with an existing storage.

texture2D | ( | texture2D const & | Texture,
|  | size_type const & | BaseLevel,
|  | size_type const & | MaxLevel
| ) |  |
| explicit

Create a texture2D view, reference a subset of an existing texture2D instance.

texture2D | ( | texture2DArray const & | Texture,
|  | size_type const & | BaseLayer,
|  | size_type const & | BaseLevel,
|  | size_type const & | MaxLevel
| ) |  |
| explicit

Create a texture2D view, reference a subset of an existing texture2DArray instance.

texture2D | ( | textureCube const & | Texture,
|  | size_type const & | BaseFace,
|  | size_type const & | BaseLevel,
|  | size_type const & | MaxLevel
| ) |  |
| explicit

Create a texture view, reference a subset of an existing textureCube instance.

texture2D | ( | textureCubeArray const & | Texture,
|  | size_type const & | BaseLayer,
|  | size_type const & | BaseFace,
|  | size_type const & | BaseLevel,
|  | size_type const & | MaxLevel
| ) |  |
| explicit

Create a texture view, reference a subset of an existing textureCubeArray instance.

## Member Function Documentation

size_type baseFace | ( |  | ) | const

size_type baseLayer | ( |  | ) | const

size_type baseLevel | ( |  | ) | const

void clear | ( |  | ) |

void clear | ( | genType const & | Texel | ) |

void* data | ( |  | ) |

void const* data | ( |  | ) | const

genType* data | ( |  | ) |

genType const* data | ( |  | ) | const

dim_type dimensions | ( |  | ) | const

bool empty | ( |  | ) | const

size_type faces | ( |  | ) | const

genType fetch | ( | dim_type const & | TexelCoord,
|  | size_type const & | Level
| ) |  |

format_type format | ( |  | ) | const

size_type layers | ( |  | ) | const

size_type levels | ( |  | ) | const

size_type maxFace | ( |  | ) | const

size_type maxLayer | ( |  | ) | const

size_type maxLevel | ( |  | ) | const

operator storage | ( |  | ) | const

image operator[] | ( | size_type const & | Level | ) | const

size_type size | ( |  | ) | const

size_type size | ( |  | ) | const

glm::ivec4 swizzle | ( |  | ) | const